import { SassPluginOptions, Type } from './index';
import { AcceptedPlugin } from 'postcss';
import PostcssModulesPlugin from 'postcss-modules';
import { BuildOptions, OnLoadResult } from 'esbuild';
import { Syntax } from 'sass';
export declare const RELATIVE_PATH: RegExp;
export declare function modulesPaths(): string[];
export declare function fileSyntax(filename: string): Syntax;
export declare type PluginContext = {
    instance: number;
    namespace: string;
    sourcemap: boolean;
    watched: {
        [path: string]: string[];
    } | null;
};
export declare function getContext(buildOptions: BuildOptions): PluginContext;
export declare function sourceMappingURL(sourceMap: any): string;
export declare function makeModule(contents: string, type: Type, nonce?: string): string;
export declare function parseNonce(nonce: string | undefined): string | undefined;
export declare type PostcssModulesParams = Parameters<PostcssModulesPlugin>[0] & {
    basedir?: string;
    inject?: boolean | "shelter";
};
export declare function postcssModules(options: PostcssModulesParams, plugins?: AcceptedPlugin[]): (this: SassPluginOptions, source: string, dirname: string, path: string) => Promise<OnLoadResult>;
export declare function createResolver(options: SassPluginOptions | undefined, loadPaths: string[]): (id: string, basedir: string) => any;
